Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 676956 - app-office/libreoffice-6.1.5.2 and friends stabilisation
Summary: app-office/libreoffice-6.1.5.2 and friends stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 678112
Blocks: CVE-2018-20650 675452
  Show dependency tree
 
Reported: 2019-01-30 22:58 UTC by Andreas Sturmlechner
Modified: 2019-12-25 20:55 UTC (History)
3 users (show)

See Also:
Package list:
media-libs/libcdr-0.1.5 amd64 ppc ppc64 x86 media-gfx/graphite2-1.3.13 alpha amd64 arm arm64 ia64 ppc ppc64 x86 hppa s390 sparc
Runtime testing required: ---
stable-bot: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2019-01-30 22:58:50 UTC
In preparation (very early).
Comment 1 Andreas Sturmlechner gentoo-dev 2019-02-16 20:24:21 UTC
Let's do this.
Comment 2 Stabilization helper bot gentoo-dev 2019-02-16 21:05:59 UTC
An automated check of this bug failed - repoman reported dependency errors (135 lines truncated): 

> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: alpha(default/linux/alpha/17.0) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: alpha(default/linux/alpha/17.0/desktop) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: alpha(default/linux/alpha/17.0/desktop/gnome) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
Comment 3 Stabilization helper bot gentoo-dev 2019-02-16 22:06:14 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-17 15:32:58 UTC
amd64 stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-17 17:55:39 UTC
x86 stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-17 17:56:59 UTC
x86 stable
Comment 8 Michael Hofmann 2019-02-18 00:08:12 UTC
Maybe you should also stabilize media-libs/glm-0.9.9.2. I got errors today when I tried to update to libetonyek. See Bug 678260 and also Bug 673966. Could be related to GCC 7.4.0.
Comment 9 Mart Raudsepp gentoo-dev 2019-02-18 08:52:37 UTC
arm64 stable
Comment 10 Matt Turner gentoo-dev 2019-03-02 20:04:38 UTC
ia64 stable
Comment 11 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-03 06:33:43 UTC
s390 stable
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-03 06:34:03 UTC
arm stable
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-03 06:34:35 UTC
alpha stable
Comment 14 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-03 06:36:10 UTC
(In reply to Mikle Kolyada from comment #13)
> alpha stable

oops, it is not
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-03 06:36:55 UTC
arm stable
Comment 16 Andreas Sturmlechner gentoo-dev 2019-04-23 20:18:55 UTC
I don't see what bug 661320 has to do with this, removing as blocker.
Comment 17 ernsteiswuerfel archtester 2019-04-28 14:11:08 UTC
Looking good on ppc & ppc64.

# cat libcdr-676956.report 
USE tests started on So 28. Apr 15:39:13 CEST 2019

FEATURES=' test' USE='' succeeded for =media-libs/libcdr-0.1.5
USE='-doc -static-libs' succeeded for =media-libs/libcdr-0.1.5
USE='doc -static-libs' succeeded for =media-libs/libcdr-0.1.5
USE='-doc static-libs' succeeded for =media-libs/libcdr-0.1.5
USE='doc static-libs' succeeded for =media-libs/libcdr-0.1.5

FEATURES=' test' USE='' succeeded for =media-gfx/graphite2-1.3.13
USE='-perl' succeeded for =media-gfx/graphite2-1.3.13
USE='perl' succeeded for =media-gfx/graphite2-1.3.13

revdep tests started on So 28. Apr 15:47:29 CEST 2019

FEATURES=' test' USE='' succeeded for app-office/scribus
FEATURES=' test' USE='cdr' succeeded for media-gfx/inkscape
FEATURES=' test' USE='graphite' succeeded for media-libs/harfbuzz
FEATURES=' test' USE='xetex' succeeded for app-text/texlive-core

# cat /mnt/mychroot/root/tatt/libcdr-676956.report 
USE tests started on So 28. Apr 10:47:47 CEST 2019

FEATURES=' test' USE='' succeeded for =media-gfx/graphite2-1.3.13
USE='-perl' succeeded for =media-gfx/graphite2-1.3.13
USE='perl' succeeded for =media-gfx/graphite2-1.3.13

revdep tests started on So 28. Apr 11:17:21 CEST 2019

FEATURES=' test' USE='xetex' succeeded for app-text/texlive-core
FEATURES=' test' USE='graphite' succeeded for media-libs/harfbuzz
Comment 18 Larry the Git Cow gentoo-dev 2019-05-06 15:25:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5712090265c221e882f4e01290292746f08aa22

commit b5712090265c221e882f4e01290292746f08aa22
Author:     Tobias Klausmann <klausman@gentoo.org>
AuthorDate: 2019-05-06 15:24:47 +0000
Commit:     Tobias Klausmann <klausman@gentoo.org>
CommitDate: 2019-05-06 15:24:47 +0000

    media-gfx/graphite2-1.3.13-r0: alpha stable
    
    Bug: http://bugs.gentoo.org/676956
    Signed-off-by: Tobias Klausmann <klausman@gentoo.org>

 media-gfx/graphite2/graphite2-1.3.13.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 19 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-26 07:07:54 UTC
hppa stable
Comment 20 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-26 07:28:56 UTC
(In reply to Andreas Sturmlechner from comment #16)
> I don't see what bug 661320 has to do with this, removing as blocker.

repoman tells you clearly that ppc/ppc64 deps are not satisfied because there is no python 3.7:

>>> Creating Manifest for /gentoo-ebuilds/gentoo/media-gfx/graphite2
  dependency.bad [fatal]        15
   media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0)
[     'dev-lang/python:3.7',
      'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']

# Michał Górny <mgorny@gentoo.org> (16 Jul 2018)
# Python 3.7 support requires fresh versions of packages which are stuck
# at keywordreqs.
# bug #661306: dev-python/pytest
# bug #661320: dev-python/twisted
python_targets_python3_7
python_single_target_python3_7
Comment 21 Andreas Sturmlechner gentoo-dev 2019-05-26 07:35:51 UTC
Then the masks on powerpc should be fixed:

$ grep -R python3_7 profiles/arch/powerpc

powerpc/ppc64/use.stable.mask:python_targets_python3_7
powerpc/ppc64/use.stable.mask:python_single_target_python3_7
powerpc/use.mask:python_targets_python3_7
powerpc/use.mask:python_single_target_python3_7
powerpc/ppc32/use.stable.mask:python_targets_python3_7
powerpc/ppc32/use.stable.mask:python_single_target_python3_7
Comment 22 Sergei Trofimovich (RETIRED) gentoo-dev 2019-05-26 07:58:53 UTC
(In reply to Andreas Sturmlechner from comment #21)
> Then the masks on powerpc should be fixed:
> 
> $ grep -R python3_7 profiles/arch/powerpc
> 
> powerpc/ppc64/use.stable.mask:python_targets_python3_7
> powerpc/ppc64/use.stable.mask:python_single_target_python3_7
> powerpc/use.mask:python_targets_python3_7
> powerpc/use.mask:python_single_target_python3_7
> powerpc/ppc32/use.stable.mask:python_targets_python3_7
> powerpc/ppc32/use.stable.mask:python_single_target_python3_7

Which bug tracks fixing masks?
Comment 23 Stabilization helper bot gentoo-dev 2019-05-26 08:00:56 UTC
An automated check of this bug failed - the following atom is unknown:

dev-cpp/libcmis-0.5.2

Please verify the atom list.
Comment 24 Andreas Sturmlechner gentoo-dev 2019-05-26 10:18:40 UTC
(In reply to Sergei Trofimovich from comment #20)
> (In reply to Andreas Sturmlechner from comment #16)
> > I don't see what bug 661320 has to do with this, removing as blocker.
> 
> repoman tells you clearly that ppc/ppc64 deps are not satisfied because
> there is no python 3.7:

We already depend on bug 676272 which is all we need for this to proceed.
Comment 25 Matt Turner gentoo-dev 2019-09-14 19:06:12 UTC
I don't see any reason for fonttools to block this.
Comment 26 Stabilization helper bot gentoo-dev 2019-09-14 19:59:00 UTC
An automated check of this bug failed - the following atoms are unknown:

app-office/libreoffice-6.1.5.2
app-office/libreoffice-l10n-6.1.5.2
app-office/libreoffice-bin-6.1.5.2
app-office/libreoffice-bin-debug-6.1.5.2

Please verify the atom list.
Comment 27 Stabilization helper bot gentoo-dev 2019-09-14 21:59:24 UTC
An automated check of this bug failed - repoman reported dependency errors (14 lines truncated): 

> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop/gnome) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
Comment 28 Matt Turner gentoo-dev 2019-09-15 00:37:37 UTC
I'll fix this with a fonttools stabilization bug. Currently it's being keyworded in bug 694372.
Comment 29 Andreas Sturmlechner gentoo-dev 2019-10-28 17:53:40 UTC
*** Bug 698772 has been marked as a duplicate of this bug. ***
Comment 30 ernsteiswuerfel archtester 2019-11-01 21:06:30 UTC
Looking good on ppc64.

media-libs/libcdr already stable on ppc/ppc64.
rdep media-libs/harfbuzz fails tests (bug #699114).

# cat libcdr-676956.report 
USE tests started on Fr 1. Nov 20:34:44 CET 2019

FEATURES=' test' USE='' succeeded for =media-gfx/graphite2-1.3.13
USE='-perl' succeeded for =media-gfx/graphite2-1.3.13
USE='perl' succeeded for =media-gfx/graphite2-1.3.13

revdep tests started on Fr 1. Nov 20:42:21 CET 2019

FEATURES=' test' USE='xetex' succeeded for app-text/texlive-core
USE='graphite' FEATURES=' test' failed for media-libs/harfbuzz
Comment 31 Stabilization helper bot gentoo-dev 2019-11-02 00:01:20 UTC
An automated check of this bug failed - repoman reported dependency errors (14 lines truncated): 

> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
> dependency.bad media-gfx/graphite2/graphite2-1.3.13.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop/gnome) ['dev-lang/python:3.7', 'dev-python/fonttools[python_targets_python3_7(-),python_single_target_python3_7(+)]']
Comment 32 Rolf Eike Beer archtester 2019-11-30 11:53:41 UTC
sparc stable
Comment 33 Sergei Trofimovich (RETIRED) gentoo-dev 2019-12-25 20:55:11 UTC
ppc/ppc64 stable thanks to ernsteiswuerfel!

Last arch. Closing.